Subject: [Ecrit] draft-ietf-ecrit-service-urn

From: Henning Schulzrinne <[email-masked]>
Date: Sun, 15 Jul 2007 17:49:21 -0400

Hannes pointed out that the service URN draft has been discussed in  
the IESG and I checked out the comments. I copied-and-pasted them  
below. I'll add some comments.

> Has there been a [email-masked] review of this as  
> recommended by RFC 3406?
>

Yes, there was, many a moon ago (see http://www1.ietf.org/mail- 
archive/web/urn-nid/current/msg00410.html).

> The registration should be owned by the IETF, to avoid the later  
> need for
> an IESG action to change ownership in the event the ECRIT WG  
> completes.

I'm not sure what this is referring to.

Declared registrant of the namespace:
       Registering organization:  IETF ECRIT Working Group
       Designated contact:  Henning Schulzrinne
       Designated contact email:  [email-masked]

?

I checked

http://www.iana.org/assignments/urn-namespaces

and all the examples seem to refer to non-IETF bodies. (Interestingly  
enough, the IETF name space itself is registered by a certain Ryan  
Moats.)

> It strikes me as somewhat worrisome to standardize this URN before  
> standardizing the resolution method for the URN, but I understand  
> LOST is actively worked on.  Should anything be said in this  
> document about what to do with the 'service' URN in cases of some  
> failure to resolve to a URL?

LoST is somewhere beyond WG last call.

I'm not sure that there is anything you can do if the resolution  
fails - I don't see a reasonable fall-back.

>   Agree with Russ on the title. Similarly, the abstract also doesn't
>   talk about ECRIT.

Title will be modified in -07.

>
>
> Section 3., paragraph 2:
> >    Declared registrant of the namespace:
> >      Registering organization:  IETF ECRIT Working Group
>
>   Can an ephemeral entity like a WG be a registrant? Should this be  
> "the
> IETF" instead? (Question for the APP ADs.)

For now, changed to IETF. Let me know if there's a better answer.

> Commented by:
> Lars Eggert
> Comment:
> Section 3., paragraph 4:
> >      service      = top-level *("." sub-service)
> >      let-dig      = ALPHA / DIGIT
> >      let-dig-hyp  = let-dig / '-'
> >      sub-service  = let-dig [ *let-dig-hyp let-dig ]
> >      top-level    = let-dig [ *25let-dig-hyp let-dig ]
>
>   DISCUSS: ABNF doesn't validate (3:26: error: Illegal character "'" -
>   skipping to end of line). Also, should cite RFC 4234 normatively for
>   ABNF.
>

Both fixed.

> I believe that the title of this document should be revised.  The
>   current title does not include any indication that the document is
>   about ECRIT services.  I recognize that the mechanism can be used
>   for non-emergency services (such as directory assistance).  I
>   suggest: "A Uniform Resource Name (URN) for Emergency Services
>   and Other Well-Known Services"

Changed to

A Uniform Resource Name (URN) Namespace for
Emergency and Other Well-Known Services

Added sentence to abstract:

Examples include emergency services, directory
assistance and call-before-you-dig hot lines.

I will submit -07 after the gates open again.

Henning

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit